HUIException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui
Class HUIException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.havi.ui.HUIException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HInvalidLookException, HMatteException

    public class HUIException

extends Exception

`HUIException` is a generic exception that indicates that the desired user-interface mechanism cannot be performed for some reason.

The parameters to the constructors are as follows, in cases where parameters are not used, then the constructor should use the default values.

### Default parameter values exposed in the constructors

Parameter | Description | Default value | Set method | Get method
--- | --- | --- | --- | ---
message | Message explaining why the exception was thrown | null | - | java.lang.Throwable#getMessage

### Default parameter values not exposed in the constructors

Description | Default value | Set method | Get method
--- | --- | --- | ---
None.

See Also:
  Serialized Form

Constructor Summary
`HUIException()` Creates an HUIException object.
`HUIException(String message)` Creates an HUIException object with a specified reason string.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HUIException

    public HUIException()

  Creates an HUIException object. See the class description for details of constructor parameters and default values.

### HUIException

    public HUIException(String message)

  Creates an HUIException object with a specified reason string.

  Parameters:
    `message` - the reason why the exception was raised

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD